@ECHO OFF
REM check input parameters
IF "%3"=="" GOTO :USAGE
GOTO :START_DXL
:USAGE
ECHO.
ECHO Usage:
ECHO.
ECHO %0 [DOORS Username] [DOORS Password] [DXL Script]
ECHO.
PAUSE
GOTO :EOF
:START_DXL
REM determine local language for menus
SET MENULANG=EN
REM SET MENULANG=FR
REM find program files directory
SET PROGDIR=%ProgramFiles%
IF NOT ""=="%ProgramFiles(x86)%" SET PROGDIR=%ProgramFiles(x86)%
REM DOORS bin and exe
SET DOORSBIN=bin\doors.exe
REM DOORS 9.4
SET DOORSMFG94=IBM\Rational
SET DOORSDIR94=DOORS
SET DOORSVER94=9.4
SET DOORSEXE94=%PROGDIR%\%DOORSMFG94%\%DOORSDIR94%\%DOORSVER94%\%DOORSBIN%
REM DOORS 9.5
SET DOORSVER95=9.5
SET DOORSEXE95=%PROGDIR%\%DOORSMFG94%\%DOORSDIR94%\%DOORSVER95%\%DOORSBIN%
REM DOORS 9.6 32-bit
SET DOORSVER9632=9.6
SET DOORSEXE9632=%PROGDIR%\%DOORSMFG94%\%DOORSDIR94%\%DOORSVER9632%\%DOORSBIN%
REM DOORS 9.6 64-bit
SET PROGDIR=%ProgramFiles%
SET DOORSVER9664=9.6
SET DOORSEXE9664=%PROGDIR%\%DOORSMFG94%\%DOORSDIR94%\%DOORSVER9664%\%DOORSBIN%
REM DOORS 9.7 64-bit
SET DOORSVER97=9.7
SET DOORSEXE97=%PROGDIR%\%DOORSMFG94%\%DOORSDIR94%\%DOORSVER97%\%DOORSBIN%
REM set exe to latest version that exists
SET DOORSEXE=
IF EXIST "%DOORSEXE94%" SET DOORSEXE=%DOORSEXE94%
IF EXIST "%DOORSEXE95%" SET DOORSEXE=%DOORSEXE95%
IF EXIST "%DOORSEXE9632%" SET DOORSEXE=%DOORSEXE9632%
IF EXIST "%DOORSEXE9664%" SET DOORSEXE=%DOORSEXE9664%
IF EXIST "%DOORSEXE97%" SET DOORSEXE=%DOORSEXE97%
REM define module menus
SET ADDINS=%CD%\menu\%MENULANG%\addins
SET DOORSADDINS=%ADDINS%
REM define explorer menus
SET PROJECTADDINS=%CD%\menu\%MENULANG%\projectaddins
SET DOORSPROJECTADDINS=%PROJECTADDINS%
REM define username
SET DOORSUSER=%1%
REM define password
SET USERPSWRD=%2%
REM define dxl script
SET DXLFILE=%3%
REM start DOORS
IF ""=="%DOORSEXE%" (
	ECHO.
	ECHO DOORS executable could not be found:
	ECHO    "%DOORSEXE94%"
	ECHO    "%DOORSEXE95%"
	ECHO    "%DOORSEXE9632%"
	ECHO    "%DOORSEXE9664%"
	ECHO    "%DOORSEXE97%"
	ECHO.
	PAUSE
) ELSE (
	START "DOORS" "%DOORSEXE%" -localdata "%TEMP%" -user "%DOORSUSER%" -password %USERPSWRD% -batch %DXLFILE%
)
